package com.ruoyi.bst.order.domain.bo;

import java.util.List;

import com.ruoyi.bst.app.domain.AppVO;
import com.ruoyi.bst.areaJoin.domain.AreaJoinVO;
import com.ruoyi.bst.bonus.domain.Bonus;
import com.ruoyi.bst.channel.domain.ChannelVO;
import com.ruoyi.bst.device.domain.DeviceVO;
import com.ruoyi.bst.order.domain.OrderVO;
import com.ruoyi.bst.order.domain.dto.OrderPayDTO;
import com.ruoyi.bst.userApp.domain.UserAppVO;
import com.ruoyi.common.core.domain.vo.UserVO;

import lombok.Data;

@Data
public class OrderPayBO {

    // 原始参数
    private OrderPayDTO dto;

    // 订单
    private OrderVO order;

    // 应用
    private AppVO app;

    // 渠道
    private ChannelVO channel;

    // 设备
    private DeviceVO device;

    // 加盟信息
    private AreaJoinVO areaJoin;

    // 支付用户
    private UserVO user;

    // 用户应用信息
    private UserAppVO userApp;
    
    // 生成的分成列表
    private List<Bonus> bonusList;
    
}
